Name:           mate-applets
Version:        1.5.0
Release:        1%{?dist}
Summary:        MATE Desktop panel applets
License:        GPLv2+ and LGPLv2+
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/1.5/%{name}-%{version}.tar.xz

BuildRequires: mate-common 
BuildRequires: mate-doc-utils 
BuildRequires: mate-icon-theme-devel
BuildRequires: mate-panel-devel
BuildRequires: mate-desktop-devel
BuildRequires: libmatewnck-devel
BuildRequires: mate-polkit-devel
BuildRequires: dbus-glib-devel
BuildRequires: libxml2-devel
BuildRequires: libnm-gtk-devel
Buildrequires: upower-devel
BuildRequires: gtk2-devel 
BuildRequires: rarian-compat 
BuildRequires: rarian-devel 

%description
MATE Desktop panel applets

%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh


%build
%configure                      \
    --disable-schemas-compile   \
    --disable-scrollkeeper      \
    --with-gnu-ld               \
    --with-x                    \
    --enable-polkit             \
    --enable-networkmanager     \
    --enable-ipv6               \
    --disable-cpufreq

make %{?_smp_mflags} V=1

%install
make DESTDIR=%{buildroot} install
%find_lang %{name} --all-name
find %{buildroot} -name '*.la' -exec rm -rf {} ';'
find %{buildroot} -name '*.a' -exec rm -rf {} ';'

%post
/bin/touch --no-create %{_datadir}/icons/mate &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/mate &>/dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/mate &>/dev/null || :
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/mate &>/dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_sysconfdir}/sound/events/mate-battstat_applet.soundlist
%{_libexecdir}/accessx-status-applet
%{_libexecdir}/battstat-applet-2
%{_libexecdir}/charpick_applet2
%{_libexecdir}/drivemount_applet2
%{_libexecdir}/geyes_applet2
%{_libexecdir}/stickynotes_applet
%{_libexecdir}/trashapplet
%{_datadir}/dbus-1/services/org.mate.panel.applet.AccessxStatusAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.BattstatAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.CharpickerAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.DriveMountAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.GeyesAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.StickyNotesAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.TrashAppletFactory.service
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.battstat.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.charpick.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.geyes.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.stickynotes.gschema.xml
%{_datadir}/icons/hicolor/16x16/apps/mate-eyes-applet.png
%{_datadir}/icons/hicolor/16x16/apps/mate-sticky-notes-applet.png
%{_datadir}/icons/hicolor/22x22/apps/mate-eyes-applet.png
%{_datadir}/icons/hicolor/22x22/apps/mate-sticky-notes-applet.png
%{_datadir}/icons/hicolor/24x24/apps/mate-eyes-applet.png
%{_datadir}/icons/hicolor/24x24/apps/mate-sticky-notes-applet.png
%{_datadir}/icons/hicolor/32x32/apps/mate-eyes-applet.png
%{_datadir}/icons/hicolor/32x32/apps/mate-sticky-notes-applet.png
%{_datadir}/icons/hicolor/scalable/apps/mate-eyes-applet.svg
%{_datadir}/icons/hicolor/scalable/apps/mate-sticky-notes-applet.svg
%{_datadir}/icons/mate/48x48/apps/ax-applet.png
%{_datadir}/mate-2.0/ui/accessx-status-applet-menu.xml
%{_datadir}/mate-2.0/ui/battstat-applet-menu.xml
%{_datadir}/mate-2.0/ui/charpick-applet-menu.xml
%{_datadir}/mate-2.0/ui/drivemount-applet-menu.xml
%{_datadir}/mate-2.0/ui/geyes-applet-menu.xml
%{_datadir}/mate-2.0/ui/stickynotes-applet-menu.xml
%{_datadir}/mate-2.0/ui/trashapplet-menu.xml
%{_datadir}/mate-applets/builder/battstat_applet.ui
%{_datadir}/mate-applets/builder/stickynotes.ui
%{_datadir}/mate-applets/builder/trashapplet-empty-progress.ui
%{_datadir}/mate-applets/geyes/Bizarre/Bizarre-eye.png
%{_datadir}/mate-applets/geyes/Bizarre/Bizarre-pupil.png
%{_datadir}/mate-applets/geyes/Bizarre/config
%{_datadir}/mate-applets/geyes/Bloodshot/Bloodshot-eye.png
%{_datadir}/mate-applets/geyes/Bloodshot/Bloodshot-pupil.png
%{_datadir}/mate-applets/geyes/Bloodshot/config
%{_datadir}/mate-applets/geyes/Default-tiny/Default-tiny-eye.png
%{_datadir}/mate-applets/geyes/Default-tiny/Default-tiny-pupil.png
%{_datadir}/mate-applets/geyes/Default-tiny/config
%{_datadir}/mate-applets/geyes/Default/Default-eye.png
%{_datadir}/mate-applets/geyes/Default/Default-pupil.png
%{_datadir}/mate-applets/geyes/Default/config
%{_datadir}/mate-applets/geyes/Horrid/config
%{_datadir}/mate-applets/geyes/Horrid/horrid_eye.png
%{_datadir}/mate-applets/geyes/Horrid/horrid_pupil.png
%{_datadir}/mate-applets/geyes/Tango/config
%{_datadir}/mate-applets/geyes/Tango/tango-eye.png
%{_datadir}/mate-applets/geyes/Tango/tango-pupil.png
%{_datadir}/mate-panel/applets/org.mate.applets.AccessxStatusApplet.mate-panel-applet
%{_datadir}/mate-panel/applets/org.mate.applets.BattstatApplet.mate-panel-applet
%{_datadir}/mate-panel/applets/org.mate.applets.CharpickerApplet.mate-panel-applet
%{_datadir}/mate-panel/applets/org.mate.applets.DriveMountApplet.mate-panel-applet
%{_datadir}/mate-panel/applets/org.mate.applets.GeyesApplet.mate-panel-applet
%{_datadir}/mate-panel/applets/org.mate.applets.StickyNotesApplet.mate-panel-applet
%{_datadir}/mate-panel/applets/org.mate.applets.TrashApplet.mate-panel-applet
%{_datadir}/mate/help/mate-accessx-status
%{_datadir}/mate/help/mate-battstat
%{_datadir}/mate/help/mate-char-palette
%{_datadir}/mate/help/mate-drivemount
%{_datadir}/mate/help/mate-geyes
%{_datadir}/mate/help/mate-stickynotes_applet
%{_datadir}/mate/help/mate-trashapplet
%{_datadir}/omf/mate-accessx-status
%{_datadir}/omf/mate-battstat
%{_datadir}/omf/mate-char-palette
%{_datadir}/omf/mate-drivemount
%{_datadir}/omf/mate-geyes
%{_datadir}/omf/mate-stickynotes_applet
%{_datadir}/omf/mate-trashapplet
%{_datadir}/pixmaps/mate-accessx-status-applet
%{_datadir}/pixmaps/mate-stickynotes

%changelog
* Wed Dec 08 2012 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.0-1
- Initial build
